{%- extends "_layout.html" %}

{% block title %}{{ vial_current_view.get_view_title() }}{% endblock %}

{%- block content %}

            <h2>{{ vial_current_view.get_view_title() }}</h2>
            <hr>
            <div class="row">
                <div class="well col-md-6 col-md-offset-3">
                    <p>
                        {{ _("Following is a list of all available user account registration options. Please choose the one most suitable for your needs.") }}
                    </p>
                    <br>
                    <div class="btn-group-vertical btn-group-lg btn-block" role="group">
                    {%- for mod_name, endp in signup_endpoints.items() %}
                        <a class="btn btn-default btn-block" href="{{ endp.get_view_url() }}" role="button">
                            {{ get_icon(endp.get_view_icon()) }} {{ endp.get_view_title() }}
                        </a>
                    {%- endfor %}
                    </div>
                    <br>
                    <br>
                    <p>
                        {{ _("In case you already have an account you may <a href=\"%(url)s\">login here</a>.", url = url_for('auth.login')) | safe }}
                    </p>
                </div><!-- /.well col-md-4 col-md-offset-4 -->
            </div><!-- /.row -->
{%- endblock content %}
